Skip to content
Dashboard

Block a contact

POST/v2/contacts/{id}/block

Blocks a contact by their Featurebase ID from the messenger/inbox.

Path Parameters

  • id - The Featurebase internal ID of the contact (MongoDB ObjectId)

Supported Contact Types

This endpoint blocks both:

  • Customers - Users with registered accounts
  • Leads - Anonymous or unregistered visitors

Blocking Behavior

When a contact is blocked:

  • The contact cannot send new messages via messenger
  • Existing conversations are not deleted but no new messages can be added by the blocked user
  • The block can be removed by unblocking the contact

Response

Returns a block confirmation object:

  • id - The ID of the blocked contact
  • object - Always “contact”
  • blocked - Always true

Example Response

{
  "id": "507f1f77bcf86cd799439011",
  "object": "contact",
  "blocked": true
}

Version Availability

This endpoint is only available in API version 2026-01-01.nova and newer.

Path ParametersExpand Collapse
id: string

Featurebase contact ID

Header ParametersExpand Collapse
"Featurebase-Version": optional "2026-01-01.nova" or "2025-12-12.clover"
One of the following:
"2026-01-01.nova"
"2025-12-12.clover"
ReturnsExpand Collapse
id: string

Unique identifier of the blocked contact

blocked: true

Indicates the contact was blocked

object: "contact"

Object type identifier

Block a contact

curl https://do.featurebase.app/v2/contacts/$ID/block \
    -X POST \
    -H "Authorization: Bearer $FEATUREBASE_API_KEY"
{
  "id": "507f1f77bcf86cd799439011",
  "blocked": true,
  "object": "contact"
}
Returns Examples
{
  "id": "507f1f77bcf86cd799439011",
  "blocked": true,
  "object": "contact"
}